#include <iostream>

using namespace std;

int main()
{
    int n, s = 1;
    cin >> n;
    int a[n];
    int b[n];

    for(int i = 0; i < n; i+=2){
        a[i] = s;
        a[i + 1] = s + n;
        s++;
    }
    s = 2*n;
    for(int i = 0; i < n; i+=2){
        b[i] = s;
        b[i + 1] = s - n;
        s--;
    }

    for(int i = 0; i < n; i++){
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 0; i < n; i++){
        cout << b[i] << " ";
    }
}